### Method

# Hex Document find_forward

#### Declaration

    gboolean
    hex_document_find_forward (
      HexDocument* doc,
      gint64 start,
      const char* what,
      size_t len,
      gint64* offset
    )

#### Description

Find a string forwards in a `HexDocument`.

This method will block. For a non-blocking version, use `hex_document_find_forward_async()`, which is also recommended for GUI operations, as it, unlike this method, allows for easy passing-in of found/not-found strings to be passed back to the interface.

#### Parameters

`start`

  Type: `gint64`

  Starting offset byte of the payload to commence the search.

`what`

  Type: An array of `gint8`

  A pointer to the data to search within the `HexDocument`.

  The length of the array is specified in the `len` argument.
  The data is owned by the caller of the method.

`len`

  Type: `size_t`

  Length in bytes of the data to be searched for.

`offset`

  Type: `gint64*`

  Offset of the found string, if the method returns `TRUE`.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if `what` was found by the requested operation; `FALSE` otherwise.